#Terraform and its management of DNS in route53

#Setup the domain in route53
resource "aws_route53_zone" "ahosking" {
    name = "ahosking.com"
}

resource "aws_route53_record" "ahosking" {
    zone_id = "${aws_route53_zone.ahosking.zone_id}"
    name = "ahosking.com"
    type = "A"
    ttl = "5"
    records = ["${var.site5_ip}"]
}

resource "aws_route53_record" "ahosking_wildcard" {
    zone_id = "${aws_route53_zone.ahosking.zone_id}"
    name = "*.ahosking.com"
    type = "A"
    ttl = "5"
    records = ["${var.site5_ip}"]
}

resource "aws_route53_record" "ahosking_www" {
    zone_id = "${aws_route53_zone.ahosking.zone_id}"
    name = "www.ahosking.com"
    type = "CNAME"
    ttl = "5"
    records = ["${aws_route53_record.ahosking.name}"]
}

# email MX records for DNS
resource "aws_route53_record" "ahosking_mx" {
    zone_id = "${aws_route53_zone.ahosking.zone_id}"
    name = "${aws_route53_zone.ahosking.name}"
    type = "MX"
    ttl = "60"
    records = ["1 ASPMX.L.GOOGLE.COM",
               "5 ALT1.ASPMX.L.GOOGLE.COM",
               "5 ALT2.ASPMX.L.GOOGLE.COM",
               "10 ALT3.ASPMX.L.GOOGLE.COM",
               "10 ALT4.ASPMX.L.GOOGLE.COM"]
}
#resource "aws_route53_record" "ahosking_txt" {
#    zone_id = "${aws_route53_zone.ahosking.zone_id}"
#    name = "${aws_route53_zone.ahosking.name}"
#    type = "TXT"
#    ttl = "60"
#    records = ["google-site-verification=8-QKnBQElI58gnygDWcCzvDGRh31c_bFmNMaSd0fCwE"]
#}
