#Terraform and its management of DNS in route53

#Setup the domain in route53
resource "aws_route53_zone" "ahoskingit" {
    name = "ahoskingit.com"
}

resource "aws_route53_record" "ahoskingit" {
    zone_id = "${aws_route53_zone.ahoskingit.zone_id}"
    name = "ahoskingit.com"
    type = "A"
    ttl = "5"
    records = ["${var.site5_ip}"]
}

resource "aws_route53_record" "ahoskingit_www" {
    zone_id = "${aws_route53_zone.ahoskingit.zone_id}"
    name = "www.ahoskingit.com"
    type = "CNAME"
    ttl = "5"
    records = ["${aws_route53_record.ahoskingit.name}"]
}

resource "aws_route53_record" "home_ahoskingit" {
    zone_id = "${aws_route53_zone.ahoskingit.zone_id}"
    name = "home.ahoskingit.com"
    type = "A"
    ttl = "5"
    records = ["${var.home_ip}"]
}

resource "aws_route53_record" "kfa_ahoskingit" {
    zone_id = "${aws_route53_zone.ahoskingit.zone_id}"
    name = "kfa.ahoskingit.com"
    type = "A"
    ttl = "5"
    records = ["${var.kfa_ip}"]
}

resource "aws_route53_record" "lab_ahoskingit" {
    zone_id = "${aws_route53_zone.ahoskingit.zone_id}"
    name = "lab.ahoskingit.com"
    type = "CNAME"
    ttl = "5"
    records = ["${aws_route53_record.kfa_ahoskingit.name}"]
}


#Route53 DNS entry
#resource "aws_route53_record" "www_ahoskingit" {
#    zone_id = "${aws_route53_zone.ahoskingit.zone_id}"
#    name = "www.ahoskingit.com"
#    type = "A"
#    ttl = "5"
#    records = ["${var.home_ip}"]
#}

# email MX records for DNS
resource "aws_route53_record" "ahoskingit_mx" {
    zone_id = "${aws_route53_zone.ahoskingit.zone_id}"
    name = "${aws_route53_zone.ahoskingit.name}"
    type = "MX"
    ttl = "60"
    records = ["1 ASPMX.L.GOOGLE.COM",
               "5 ALT1.ASPMX.L.GOOGLE.COM",
               "5 ALT2.ASPMX.L.GOOGLE.COM",
               "10 ALT3.ASPMX.L.GOOGLE.COM",
               "10 ALT4.ASPMX.L.GOOGLE.COM"]
}
resource "aws_route53_record" "ahoskingit_txt" {
    zone_id = "${aws_route53_zone.ahoskingit.zone_id}"
    name = "${aws_route53_zone.ahoskingit.name}"
    type = "TXT"
    ttl = "60"
    records = ["google-site-verification=8-QKnBQElI58gnygDWcCzvDGRh31c_bFmNMaSd0fCwE"]
}
